PON(1)

NAME
pon, poff, plog - starts up, shuts down or lists the log of PPP connections

SYNOPSIS
pon [ isp-name ]
poff [ -r ] [ -d ] [ -c ] [ -a ] [ -h ] isp-name
plog [ argument ]

DESCRIPTION
This manual page describes the pon, poff and plog scripts, which allow users to control PPP connections.

pon starts a PPP connection to a provider, reading its configuration from /etc/ppp/peers/provider and using the chatscript /etc/chatscripts/provider. This is the default setting if isp-name is not given.

To start a PPP connection to a different provider, specify an isp-name operand. For instance, to use provider configuration "provider2" run

    pon provider2

The system will then use the chatscript /etc/chatscripts/provider2 and the options file /etc/ppp/peers/provider2. You can use pon to run multiple, simultaneous PPP connections.

poff closes a PPP connection. If more than one PPP connection exists, the one named in the argument to poff will be killed, e.g.

    poff myprovider2

will terminate the connection to myprovider2, and leave the PPP connection to "myprovider1" up and running.

plog shows you the last few lines of /var/log/ppp.log. If that file doesn't exist, it shows you the last few lines of /var/log/syslog file, but excluding the lines not generated by pppd. This script makes use of the tail(1) command, so arguments that can be passed to tail(1) can also be passed to plog.

OPTIONS

  Options for pon

isp-name
    is the name of the ISP connection to start. If no isp-name is specified, pon will use the name "provider".

  Options for poff

-r  causes the connection to be redialed after it is dropped.

-d  toggles the state of pppd's debug option.

-c  causes pppd(8) to renegotiate compression.

-a  stops all running ppp connections. If the argument isp-name is given it will be ignored.

-h  displays help information.

-v  prints the version and exits.

If no argument is given it will kill all ppp connections. Like the -a option.

  Options for plog

argument
    is any argument you can also pass to tail(1).

REQUIREMENTS
pppd(8) must be installed and configured.

/etc/chatscripts/provider is the default chatscript, used when pon is invoked without an argument. Edit it to suit your needs. See chat(8).

/etc/ppp/peers/provider is the default options file, used when pon is invoked without an argument. Edit it to suit your needs. See pppd(8).

When pon is invoked with an isp-name argument, different filenames are used. For example, if isp-name "myprovider" is specified, chatscript /etc/chatscripts/myprovider and options file /etc/ppp/peers/myprovider are used.

NOTE
The plog script can only be used by root or another system administrator in group "adm" due to security reasons. Also, to have all pppd-generated information in one logfile, that plog can show, you need the following line in your /etc/syslog.conf file:

local2.*    -/var/log/ppp.log

FILES

/etc/chatscripts/provider
    The default chat script.

/etc/ppp/peers/provider
    The default peer option file.

/etc/ppp/chap-secrets
    System CHAP passwords file.

/etc/ppp/pap-secrets
    System PAP passwords file.

/etc/ppp/options
    System PPP option file.

/var/log/ppp.log
    The default PPP log file.

AUTHORS
The p-commands were written by Christoph Lameter <clameter@debian.org>. Updated and revised by Philip Hands <phil@hands.com>.
This manual was written by Othmar Pasteka <othmar@tron.at> and modified by Rob Levin <lilo@openprojects.net>, with some extensions taken from the old p-commands manual written by John Hasler <jhasler@debian.org>.

SEE ALSO
chat(8), pppd(8), tail(1).